Name: H5garbage_collect
Signature:
  herr_t `H5garbage_collect`(void)
Purpose:
  Garbage collects on all free-lists of all types.
Description:
  `H5garbage_collect` walks through all the garbage collection routines of the library, freeing any unused memory.

  It is not required that `H5garbage_collect` be called at any particular time; it is only necessary in certain situations where the application has performed actions that cause the library to allocate many objects. The application should call `H5garbage_collect` if it eventually releases those objects and wants to reduce the memory used by the library from the peak usage required.

  The library automatically garbage collects all the free lists when the application ends.

Parameters:

None.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5garbage_collect_f

      SUBROUTINE h5garbage_collect_f(hdferr)
        IMPLICIT NONE
        INTEGER, INTENT(OUT) :: hdferr      ! Error code

      END SUBROUTINE h5garbage_collect_f

History:

Release | Fortran90
1.4.5 | Function introduced in this release.